Bug 564002 - regression when Filtering By Name during add member to mixed group
regression when Filtering By Name during add member to mixed group
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
1.4
All Linux
low Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
John Sefler
: SubBug
Depends On:
Blocks: rhq_spearhead
  Show dependency treegraph
 
Reported: 2010-02-11 12:17 EST by John Sefler
Modified: 2010-08-12 12:47 EDT (History)
4 users (show)

See Also:
Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-12 12:47:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Sefler 2010-02-11 12:17:49 EST
Description of problem:
The Filter By Name: field when adding members to a mixed group has a regression (from JON23 to JON231/JON30) when searching for the full displayed name of the RHQ Server.

For example:
In JON23, the following Filter By Name:
auto-rhq.usersys.redhat.com RHQ Server, JBoss AS 4.2.3.GA default (0.0.0.0:2099)
returns:
auto-rhq.usersys.redhat.com RHQ Server, JBoss AS 4.2.3.GA default (0.0.0.0:2099)

In JON231/JON30, the following Filter By Name:
auto-rhq.usersys.redhat.com RHQ Server, JBoss AS 4.2.3.GA default (0.0.0.0:2099)
returns:
<nothing>

UPON FURTHER REVIEW WITH jmarques@redhat.com....
The resource apparently has 2 spaces in the database after the comma, so a search for this:
auto-rhq.usersys.redhat.com RHQ Server,  JBoss AS 4.2.3.GA default (0.0.0.0:2099)
returns:
auto-rhq.usersys.redhat.com RHQ Server, JBoss AS 4.2.3.GA default (0.0.0.0:2099)

Notice that the HTML Browser has implicitly normalized the spaces.

Therefore, It could be important to enforce a resource naming policy to normalize the spaces before putting the resource into the database since the HTML browser will display them normalized.  Otherwise a user will try to search for resources using the same string as displayed by the browser and get no results (as in the case of our automated GUI test detecting the regression noted above).
Comment 1 John Sefler 2010-02-11 12:20:38 EST
<ccrouch> jweiss, jsefler: on the BZ you create for this, please add lkrejci as a watcher as he's thinking about resource naming right now for jon3.0
Comment 2 wes hayutin 2010-02-16 11:55:50 EST
Temporarily adding the keyword "SubBug" so we can be sure we have accounted for all the bugs.

keyword:
new = Tracking + FutureFeature + SubBug
Comment 3 wes hayutin 2010-02-16 12:00:53 EST
making sure we're not missing any bugs in rhq_triage
Comment 4 John Sefler 2010-02-16 14:01:29 EST
Observation....
The problem described above appears to be present when the rhq server is configured with Postgres, but not with Oracle.
Comment 5 Charles Crouch 2010-04-14 10:53:52 EDT
As part of the next release we've updated how many of the resource names are generated so this additional space issue should have been resolved as part of that. If you detect any other resources with naming problems please push this back to dev.
Comment 6 Sunil Kondkar 2010-04-19 11:33:49 EDT
Verified in jon build#88(Revision: 10607)

The resource is now displayed as 0.0.0.0:2099 (bindingAddressAndPort)

when searching for the server resource 0.0.0.0:2099, the fields 'Filter By Name' returns the resource name as 0.0.0.0:2099.
Comment 7 Corey Welton 2010-08-12 12:47:10 EDT
Mass-closure of verified bugs against JON.

Note You need to log in before you can comment on or make changes to this bug.